Reissue card

This request reissues a card associated with a line of credit account.

   Click here to learn more about this request

Cards associated with a line of credit account can be reissued to manage situations in which a card is lost, stolen, or nearing expiration. Note the following when using this request:

This request requires the ID of the card, as generated by LMS. Card IDs are stored within the Cards object which is nested within the LineOfCredits entity. To retrieve a card's ID, send one of the following GET requests using the ID of the associated line of credit account:

{baseUrl}/odata.svc/LineOfCredits({line-of-credit-id})/Cards

{baseUrl}/odata.svc/Cards?$filter=entityId eq {line-of-credit-id}

There are three reissuing options referred to as "types", and they dictate the next status of the card. Here's a breakdown of the reissuing options:

  • Normal: using this option maintains the current status and PAN of the card
  • Lost: using this option sets the current status of the card to lost and sets a new card PAN
  • Stolen: using this option sets the current status of the card to stolen and sets a new card PAN

This request provides the option to update the shipping address associated with the cardholder via the shippingAddress object. Providing no shippingAddress object will use the card's current shipping address. If a new shipping address is provided, the card's shipping address information will be updated both within LoanPro and within Secure Payments.

This request provides the option to provide a new expiration date via the expirationDate field. This is not required, and it can be left blank if you prefer to let the card's issuing processor assign expiration dates.

❗️

The next steps of this process depend on the card's issuing processor.

Cards that are issued by Visa DPS will be automatically updated as Visa DPS generates new card information.

Cards that are issued by any other issuing processor—including those who fit within LoanPro's Bring Your Own Issuing Processor (BYOIP) capabilities—will need to be updated manually. In this type of scenario, we recommend notifying the issuing processor to ensure the next steps of reissuing a card are completed.

Path Params
int32
required

The LMS ID of the card.

Body Params
string
enum
required

Determines the reissue method used. This choice has implications to card status and PAN. See the learn more about this request section above for more detail.

Allowed:
string

Optional field that sets the new card's expiration date.
> Formatted as MM/YYYY

shippingAddress
object

Optional object that holds card shipping address information. Use this object if the card's shipping address needs to be updated.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json